
#ifndef __D3DRENDERER_H_
#define __D3DRENDERER_H_
/**************************************************************************************
* This file is part of the GameFramework project released by Wazoo Enterprises Inc.
* under the GNU Public License. 
*
* Any projects using this code must attach these copyright notices along with their
* own as outlined at http://www.gnu.org
*
* Copyright 2003 by Wazoo Enterprises Inc.
* To contact the auther, send a message to wazoo@wazooenterprises.com
*
****************************************************************************************/

///////////////////////////
// Class: D3DRenderer
// Description:
//
//
//
///////////////////////////
#include "..\rendererInterface.h"
#include <d3d8.h>
#include <d3dx8.h>

class D3DRenderer : public rendererInterface
{
private:
	LPDIRECT3D8 m_lpD3D;
	LPDIRECT3DDEVICE8 m_lpD3DDevice;
	D3DPRESENT_PARAMETERS m_d3dpp;
	D3DCOLOR m_backColor;

public:
	D3DRenderer();
	~D3DRenderer();

	//method to create and initialize our hardware
    HRESULT createDevice(HWND, DWORD, DWORD, DWORD, BOOL);

    //method to destroy it
    void destroyDevice();

    //method to begin rendering primitives
    HRESULT beginRenderingScene();

    //method to end rendering primitives
    void endRenderingScene();

    //method to change the screen clearing color
    void setClearColor(FLOAT, FLOAT, FLOAT, FLOAT);

};

#endif